<TeXmacs|1.99.19>

<style|<tuple|generic|puredoc>>

<\body>
  <hlink|toc|#bugs-toc> <hlink|index|genindex.tm>
  <hlink|modules|pure-modindex.tm> \| <hlink|previous|install.tm> \|
  <hlink|Pure Language and Library Documentation|index.tm>

  <section*|Reporting Bugs><label|reporting-bugs>

  Pure is still under development, but the language and its standard library
  are fairly stable and mature. If you find a bug or other deficiency in
  either the documentation, the Pure interpreter or one of the library
  modules, we would like to know about it. You can submit bug reports at the
  Pure issue tracker which is available here:

  <\quote-env>
    <hlink|https://github.com/agraef/pure-lang/issues|https://github.com/agraef/pure-lang/issues>
  </quote-env>

  If you are unsure if the problem you are hitting is really a bug, or if
  you'd like to discuss possible enhancements and other kinds of fixes, then
  you might consider posting to the Pure mailing list at Google Groups:

  <\quote-env>
    <hlink|http://groups.google.com/group/pure-lang|http://groups.google.com/group/pure-lang>
  </quote-env>

  Some issues are best discussed interactively. For these purposes we also
  have an IRC chat at Freenode (archived <hlink|here|https://yanovich.net/pure-lang/>):

  <\quote-env>
    <hlink|irc://irc.freenode.net/pure-lang|irc://irc.freenode.net/pure-lang>
  </quote-env>

  Previous topic

  <hlink|Installing Pure (and LLVM)|install.tm>

  <hlink|toc|#bugs-toc> <hlink|index|genindex.tm>
  <hlink|modules|pure-modindex.tm> \| <hlink|previous|install.tm> \|
  <hlink|Pure Language and Library Documentation|index.tm>

  <copyright> Copyright 2009-2021, Albert Grf et al. Last updated on Apr
  30, 2021. Created using <hlink|Sphinx|http://sphinx.pocoo.org/> 1.1.3.
</body>
